export type PrimitiveTypeCode = "B" | "C" | "D" | "F" | "I" | "J" | "S" | "Z";
export declare class PrimitiveFieldDesc {
    readonly typeCode: PrimitiveTypeCode;
    readonly fieldName: string;
    constructor(typeCode: PrimitiveTypeCode, fieldName: string);
}
export type ObjectTypeCode = "[" | "L";
export declare class ObjectFieldDesc {
    readonly typeCode: ObjectTypeCode;
    readonly fieldName: string;
    readonly className: string;
    constructor(typeCode: ObjectTypeCode, fieldName: string, className: string);
}
export type TypeCode = PrimitiveTypeCode | ObjectTypeCode;
export type FieldDesc = PrimitiveFieldDesc | ObjectFieldDesc;
