import { ObjectInputStream } from "./ObjectInputStream";
export interface JavaSerializable {
    [fieldName: string]: any;
    readObject?(stream: ObjectInputStream): void;
    readResolve?(): any;
}
export interface JavaSerializableConstructor<T extends JavaSerializable = JavaSerializable> {
    new (): T;
}
export declare function registerObjectClass<T extends JavaSerializable>(objectClass: JavaSerializableConstructor<T>, className: string, serialVersionUid: number | string | bigint): void;
export declare function getObjectClass(className: string, serialVersionUid: bigint): JavaSerializableConstructor | null;
