import { JavaSerializable, registerObjectClass } from "./ObjectClassMap";
import { JavaObjectStream } from "./JavaObjectStream";
import { FieldDesc } from "./FieldDesc";
export declare class ObjectInputStream {
    static RegisterObjectClass: typeof registerObjectClass;
    private readonly stream;
    private readonly currentObject?;
    private readonly currentClassFields?;
    private buffer;
    constructor(file: Uint8Array);
    constructor(stream: JavaObjectStream, currentObject: JavaSerializable, currentClassFields: FieldDesc[]);
    readObject(): any;
    readBoolean(): boolean;
    readByte(): number;
    readDouble(): number;
    readFloat(): number;
    readInt(): number;
    readLong(): bigint;
    readShort(): number;
    readFields(): Map<string, any>;
    defaultReadObject(): void;
    private refill;
}
